/*
   HARK Library
   Copyright (C) 2021 Honda Research Institute Japan Inc.
 */

#include "hark-lib/error.h"

namespace hark
{
    base_error::base_error(const std::string &message):
        message(message)
    {
    }

    const char *
    base_error::what() const noexcept
    {
        return this->message.c_str();
    }
}

/* end of file */
